# KSPQCGGetTrialStepNorm

Gets the norm of a trial step vector. The WCG step may be constrained, so this is not necessarily the length of the ultimate step taken in QCG.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPQCGGetTrialStepNorm(KSP ksp,PetscReal *tsnorm)

Collective on KSP

### Input Parameter

ksp -the iterative context

### Output Parameter

tsnorm -the norm

Level:advanced
Location: src/ksp/ksp/impls/qcg/qcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages